Zum Hauptinhalt springen
GET
/
product-family-tree
cURL
curl -X GET \
 /product-family-tree \
 --header "Authorization: Bearer <token>"
import requests

url = "https://coreapi.io/product-family-tree"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://coreapi.io/product-family-tree', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
<?php

$curl = curl_init();

curl_setopt_array($curl, [
CURLOPT_URL => "https://coreapi.io/product-family-tree",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
{
  "name": "Team Packages",
  "id": "ad8b3b9e-5b0a-4e1a-8b0a-4e1a8b0a4e1a",
  "products": [
    "https://example.com/"
  ],
  "createdAt": "2021-01-01T00:00:00+00:00",
  "updatedAt": "2021-01-01T00:00:00+00:00"
}

Autorisierungen

Authorization
string
header
erforderlich

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Antwort

ProductFamily resource

name
string
erforderlich
Maximum string length: 255
Beispiel:

"Team Packages"

id
string
read-only
Beispiel:

"ad8b3b9e-5b0a-4e1a-8b0a-4e1a8b0a4e1a"

products
string<uuid>[]
createdAt
string<date-time>
read-only

The date and time when the resource was created.

Beispiel:

"2021-01-01T00:00:00+00:00"

updatedAt
string<date-time>
read-only

The date and time when the resource was last updated.

Beispiel:

"2021-01-01T00:00:00+00:00"